Bug 13981 - Transliterate rule for oe and ae
Summary: Transliterate rule for oe and ae
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Fridolin SOMERS
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-13 10:14 UTC by Fridolin SOMERS
Modified: 2015-12-03 22:03 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13981 - Transliterate rule for oe and ae (1.93 KB, patch)
2015-04-13 10:28 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
[Signed-off] Bug 13981 - Transliterate rule for oe and ae (2.26 KB, patch)
2015-04-16 07:17 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 13981 - Transliterate rule for oe and ae (2.24 KB, patch)
2015-04-17 10:55 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2015-04-13 10:14:58 UTC
In ICU configuration, add a transliterate rule for œ = oe and æ = ae.
Comment 1 Fridolin SOMERS 2015-04-13 10:28:02 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-04-16 07:17:28 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2015-04-17 10:55:01 UTC
Created attachment 38031 [details] [review]
[PASSED QA] Bug 13981 - Transliterate rule for oe and ae

NOTE : I use HTML codes for special characters to avoir encoding issues in patch file.

In ICU configuration, add a transliterate rule for
œ = oe
æ = ae

Test plan :
- Without patch
- Create a record R1 with title containing for example "cœur"
- Create a record R2 with title containing for example "coeur"
- Index those records
- Search for "cœur"
=> You only find R1
- Search for "coeur"
=> You only find R2
- Apply patch
- Restart zebra
- Index R1 and R2
- Search for "cœur"
=> You find R1 and R2
- Search for "coeur"
=> You find R1 and R2
(Same test plan for ae)

------
Tested with all variants of Ae ae Oe oe. Search worked as expected.
Note: The words with special characters were not highlighted, but I think this can be done in an other bug.
Signed-off-by: Marc Veron <veron@veron.ch>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Tomás Cohen Arazi 2015-04-20 13:29:55 UTC
Patch pushed to master.

Merci, Frido!
Comment 5 Chris Cormack 2015-04-22 05:41:17 UTC
Pushed to 3.18.x will be in 3.18.6